#ifndef __CGEOMETRY_H__
#define __CGEOMETRY_H__

#pragma once
#include <D3dx8core.h>

class CGeometry
{
public:
	CGeometry(void);
	virtual ~CGeometry(void);

	unsigned int Initialize(char* type);
	void Restore();
	void Invalidate();
	void Destroy();

	char* Type(char* type=0);
	void Draw();

protected:
	char* m_strType;
	LPDIRECT3DVERTEXBUFFER8 m_pd3dSprite;
};

#endif //__CGEOMETRY_H__