#include "geometrymanager.h"
CGeometryManager* CGeometryManager::_instance = CGeometryManager::Instance();

CGeometryManager::CGeometryManager(void)
{
}

CGeometryManager::~CGeometryManager(void)
{
}

CGeometryManager* CGeometryManager::Instance()
{
	if ( !_instance )
	{
		_instance = new CGeometryManager();
	}
	return _instance;
}

CGeometry* CGeometryManager::Add(char* type)
{
	CGeometry* pGeometry = NULL;

	// Does this Texture already exist?
	for (	CGeometryListItor itor = m_lstGeometry.begin();
			itor != m_lstGeometry.end();)
	{
		if ( strcmpi( (*itor)->Type(), type ) == 0 )
		{
			pGeometry = (*itor);
			break;
		}
		++itor;
	}


	if (pGeometry == NULL)
	{	
		pGeometry = new CGeometry();

		pGeometry->Initialize(type);

		m_lstGeometry.push_back( pGeometry );
	}

	return pGeometry;
}
