#ifndef __CGEOMETRYMANAGER_H__
#define __CGEOMETRYMANAGER_H__

#pragma once
#include "Geometry.h"

#include <list>

using namespace std;
typedef list<CGeometry*> CGeometryList;
typedef CGeometryList::iterator CGeometryListItor;

#define theGeometryManager (CGeometryManager::Instance())

class CGeometryManager
{
public:
	static CGeometryManager* Instance();
	virtual ~CGeometryManager(void);

protected:
	CGeometryManager(void);
	static CGeometryManager* _instance;

protected:
	CGeometryList	m_lstGeometry;
public:
	CGeometry* Add(char* type);
};

#endif //__CGEOMETRYMANAGER_H__