// Particle.h: interface for the CParticle class.
//
//////////////////////////////////////////////////////////////////////

#ifndef __CPARTICLE_H__
#define __CPARTICLE_H__

#pragma once

#include <D3d8.h>

class CParticle  
{

public:
	CParticle();
	virtual ~CParticle();

	void Initialize( D3DVECTOR* position, D3DVECTOR* trajectory, D3DCOLOR* diffuse, float mass);
	void Process();


public:
	D3DVECTOR	m_vecPosition;
	D3DVECTOR	m_vecTrajectory;
	D3DCOLOR	m_colDiffuse;
	float		m_nMass;
};

#endif // __CPARTICLE_H__
