
///////////////////////////////////////////////////////////////////////////////////////////////////// 
///////////////////////////////////////////////////////////////////////////////////////////////////// 
//                    
//        File Name:  Texture.h 
//      Description:  Container for a texture.
//           Author:  Ash W. Matheson 
//                    
//        Copyright:  
//                    This code is Open to the general public for use  
//                        Yeah, ... Right Productions. 
//                        6666-182, Surrey, BC  
//                    
//        Revisions:  
//                    5/15/2002 - AWM - Original version. 
//                    
//  Copyright (c) 2001, Yeah, ... Right Productions. All rights reserved. 
//                    
///////////////////////////////////////////////////////////////////////////////////////////////////// 
///////////////////////////////////////////////////////////////////////////////////////////////////// 
#ifndef __CTEXTURE_H__
#define __CTEXTURE_H__

#include <D3D8.h>

class CTexture  
{
public:
	CTexture();
	virtual ~CTexture();

	void Initialize( char* filename);
	void Invalidate();
	void Restore();

	void Use(LPDIRECT3DDEVICE8 d3ddevice);
	char* GetName() { return m_strTextureName;}

protected:
	char*	m_strTextureName;
	LPDIRECT3DTEXTURE8 m_pTextureData;

};

#endif // __CTEXTURE_H__
