// TextureManager.h: interface for the CTextureManager class.
//
//////////////////////////////////////////////////////////////////////

#ifndef __CTEXTUREMANAGER_H__
#define __CTEXTUREMANAGER_H__

#include "Texture.h"
#include <list>

using namespace std;
typedef list<CTexture*> CTextureList;
typedef CTextureList::iterator CTextureListItor;

#define theTextureManager (CTextureManager::Instance())

class CTextureManager  
{
public:
	static CTextureManager* Instance();
	virtual ~CTextureManager();

	CTexture* Add( char* texturefilename );

protected:
	CTextureManager();

protected:
	static CTextureManager* _instance;
	CTextureList m_Textures;
	
};

#endif // __CTEXTUREMANAGER_H__
