// script.h: interface for the Cscript class.
//
//////////////////////////////////////////////////////////////////////

#ifndef __SCRIPT_H__
#define __SCRIPT_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

extern "C"	// For implementing LUA
{
 #include <lua.h>
 #include <lualib.h>
}

class CMyD3DApplication;

class CScript  
{
public:
	CScript();
	virtual ~CScript();
	
	void Initialize(CMyD3DApplication * appref);
	void Terminate();

	void doString(const char* statement);
	void doFile( const char* filename);
	void doBuffer( const char* buffer, int bufsize);

	void SetVar( const char* varname, double value);
	void SetVar( const char* varname, const char* value);

public:
	static lua_State* m_lua;
	static CMyD3DApplication * m_pApp;
	
};

#endif // __SCRIPT_H__
